#!/bin/sh

#set the wireless interface here and also in the wifi.sh script
wlan=wi0

if [ `uname -s` = OpenBSD ]
        then
	ssid=`wicontrol $wlan | grep "Current netname" | awk '{ print $5 }'`
	signal=`wicontrol $wlan | grep "Comms" | awk '{ print $4 }'`
fi

if [ `uname -s` = FreeBSD ]
        then
	signal=`wicontrol $wlan -L | grep signal | awk '{ print $5 }'`
	ssid=`wicontrol $wlan -L | grep Current\ netname | awk '{ print $5 }'`
fi

echo "SSID: $ssid   Strength: $signal" | osd_cat -p top -o 40 -A right --age=1 --font="-adobe-helvetica-bold-*-*-*-24-*-*-*-*-*-*-*" --indent=10
